## opennebula 3.4.1

=== SConstruct ===
# -------------------------------------------------------------------------- #
# Copyright 2002-2012, OpenNebula Project Leads (OpenNebula.org)             #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

import os
import sys
import shutil
sys.path.append("./share/scons")
from lex_bison import *

# This is the absolute path where the project is located
cwd=os.getcwd()

# Environment that will be applied to each scons child
main_env=Environment()
main_env['ENV']['PATH']=os.environ['PATH']

# snippet borrowed from http://dev.gentoo.org/~vapier/scons-blows.txt
# makes scons aware of build related environment variables
if os.environ.has_key('CC'):
    main_env['CC'] = os.environ['CC']
if os.environ.has_key('CFLAGS'):
    main_env['CCFLAGS'] += SCons.Util.CLVar(os.environ['CFLAGS'])
if os.environ.has_key('CXX'):
    main_env['CXX'] = os.environ['CXX']
if os.environ.has_key('CXXFLAGS'):
    main_env['CXXFLAGS'] += SCons.Util.CLVar(os.environ['CXXFLAGS'])
if os.environ.has_key('LDFLAGS'):
    main_env['LINKFLAGS'] += SCons.Util.CLVar(os.environ['LDFLAGS'])
else:
    os.environ['LDFLAGS']=""

# Add builders for flex and bison
add_lex(main_env)
add_bison(main_env)

# Include dirs
main_env.Append(CPPPATH=[
    cwd+'/include',
])

# Library dirs
main_env.Append(LIBPATH=[
    cwd+'/src/common',
    cwd+'/src/log',
    cwd+'/src/sql',
    cwd+'/src/host',
    cwd+'/src/cluster',
    cwd+'/src/datastore',
    cwd+'/src/group',
    cwd+'/src/mad',
    cwd+'/src/nebula',
    cwd+'/src/pool',
    cwd+'/src/template',
    cwd+'/src/vm',
    cwd+'/src/vm_template',
    cwd+'/src/vmm',
    cwd+'/src/lcm',
    cwd+'/src/tm',
    cwd+'/src/dm',
    cwd+'/src/im',
    cwd+'/src/image',
    cwd+'/src/rm',
    cwd+'/src/vnm',
    cwd+'/src/hm',
    cwd+'/src/um',
    cwd+'/src/authm',
    cwd+'/src/acl',
    cwd+'/src/xml',
])

# Compile flags
main_env.Append(CPPFLAGS=[
    "-g",
    "-Wall"
])

# Linking flags
main_env.Append(LINKFLAGS=['-g', '-pthread'])

#######################
# EXTRA CONFIGURATION #
#######################

# SQLITE
sqlite_dir=ARGUMENTS.get('sqlite_dir', 'none')
if sqlite_dir!='none':
    main_env.Append(LIBPATH=[sqlite_dir+"/lib"])
    main_env.Append(CPPPATH=[sqlite_dir+"/include"])

sqlite=ARGUMENTS.get('sqlite', 'yes')
if sqlite=='yes':
    main_env.Append(sqlite='yes')
    main_env.Append(CPPFLAGS=["-DSQLITE_DB"])
    main_env.Append(LIBS=['sqlite3'])
else:
    main_env.Append(sqlite='no')

# MySQL
mysql=ARGUMENTS.get('mysql', 'no')
if mysql=='yes':
    main_env.Append(mysql='yes')
    main_env.Append(CPPFLAGS=["-DMYSQL_DB"])
    main_env.Append(LIBS=['mysqlclient'])
else:
    main_env.Append(mysql='no')

# xmlrpc
xmlrpc_dir=ARGUMENTS.get('xmlrpc', 'none')
if xmlrpc_dir!='none':
    main_env.Append(LIBPATH=[xmlrpc_dir+"/lib"])
    main_env.Append(CPPPATH=[xmlrpc_dir+"/include"])

# build lex/bison
build_parsers=ARGUMENTS.get('parsers', 'no')
if build_parsers=='yes':
    main_env.Append(parsers='yes')
else:
    main_env.Append(parsers='no')

if not main_env.GetOption('clean'):
    try:
        if mysql=='yes':
            main_env.ParseConfig('mysql_config --cflags --libs')
    except Exception, e:
        print ""
        print "mysql_config was not found in the path"
        print ""
        print "Check that mysql development package is installed and"
        print "mysql_config is in the path. If your mysql config tool"
        print "is called mysql5_config make a symlink as mysql_config"
        print "to a directory in the path."
        print ""
        exit(-1)


    try:
        main_env.ParseConfig(("LDFLAGS='%s' share/scons/get_xmlrpc_config"+
            " server") % (os.environ['LDFLAGS'],))
        main_env.ParseConfig(("LDFLAGS='%s' share/scons/get_xmlrpc_config"+
            " client") % (os.environ['LDFLAGS'],))

    except Exception, e:
        print ""
        print "Error searching for xmlrpc-c libraries. Please check this"+\
            " things:"
        print ""
        print " * You have installed development libraries for xmlrpc-c. One"+\
            " way to check"
        print "   this is calling xmlrpc-c-config that is provided with the"+\
            " development"
        print "   package."
        print " * Check that the version of xmlrpc-c is at least 1.06. You"+\
            " can do this also"
        print "   calling:"
        print "   $ xmlrpc-c-config --version"
        print " * If all this requirements are already met please send log"+\
            " files located in"
        print "   .xmlrpc_test to the mailing list."
        print ""
        exit(-1)
else:
    main_env.Replace(mysql='yes')
    shutil.rmtree('.xmlrpc_test', True)
    shutil.rmtree('src/nebula/.xmlrpc_test', True)
    shutil.rmtree('src/scheduler/.xmlrpc_test', True)


# libxml2
main_env.ParseConfig('xml2-config --libs --cflags')


# SCONS scripts to build
build_scripts=[
    'src/sql/SConstruct',
    'src/log/SConstruct',
    'src/common/SConstruct',
    'src/template/SConstruct',
    'src/host/SConstruct',
    'src/cluster/SConstruct',
    'src/datastore/SConstruct',
    'src/group/SConstruct',
    'src/mad/SConstruct',
    'src/mad/utils/SConstruct',
    'src/nebula/SConstruct',
    'src/pool/SConstruct',
    'src/vm/SConstruct',
    'src/vm_template/SConstruct',
    'src/vmm/SConstruct',
    'src/lcm/SConstruct',
    'src/rm/SConstruct',
    'src/tm/SConstruct',
    'src/im/SConstruct',
    'src/image/SConstruct',
    'src/dm/SConstruct',
    'src/scheduler/SConstruct',
    'src/vnm/SConstruct',
    'src/hm/SConstruct',
    'src/um/SConstruct',
    'src/authm/SConstruct',
    'src/acl/SConstruct',
    'src/xml/SConstruct',
    'share/man/SConstruct'
]

# Testing
testing=ARGUMENTS.get('tests', 'no')

if testing=='yes':
    main_env.Append(testing='yes')

    main_env.ParseConfig('cppunit-config --cflags --libs')

    main_env.Append(CPPPATH=[
        cwd+'/include/test',
        '/usr/include/cppunit/' #not provided by cppunit-config command
    ])

    main_env.Append(LIBPATH=[
        cwd+'/src/test',
    ])

    main_env.Append(LIBS=[
        'nebula_test_common',
    ])

    build_scripts.extend([
        'src/authm/test/SConstruct',
        'src/common/test/SConstruct',
        'src/host/test/SConstruct',
        'src/cluster/test/SConstruct',
        'src/datastore/test/SConstruct',
        'src/group/test/SConstruct',
        'src/image/test/SConstruct',
        'src/lcm/test/SConstruct',
        'src/pool/test/SConstruct',
        'src/template/test/SConstruct',
        'src/test/SConstruct',
        'src/um/test/SConstruct',
        'src/vm/test/SConstruct',
        'src/vnm/test/SConstruct',
        'src/xml/test/SConstruct',
        'src/vm_template/test/SConstruct',
    ])
else:
    main_env.Append(testing='no')


for script in build_scripts:
    env=main_env.Clone()
    SConscript(script, exports='env')

=== share/man/SConstruct ===
# SConstruct for share/man

# -------------------------------------------------------------------------- #
# Copyright 2002-2012, OpenNebula Project Leads (OpenNebula.org)             #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

gzip_bld = Builder(action = 'gzip -c $SOURCE > $TARGET',
                   suffix = '.1.gz',
                   src_suffix = '.1')

env.Append(BUILDERS = {'Man' : gzip_bld})

env.Man('econe-describe-images')
env.Man('econe-describe-instances')
env.Man('econe-register')
env.Man('econe-run-instances')
env.Man('econe-terminate-instances')
env.Man('econe-upload')
env.Man('occi-compute')
env.Man('occi-network')
env.Man('occi-storage')
env.Man('oneacl')
env.Man('oneauth')
env.Man('onecluster')
env.Man('onedatastore')
env.Man('onedb')
env.Man('onehost')
env.Man('oneimage')
env.Man('onetemplate')
env.Man('oneuser')
env.Man('onevm')
env.Man('onevnet')
env.Man('onegroup')
env.Man('onezone')
env.Man('onevdc')

=== src/acl/SConstruct ===
# SConstruct for src/authm

# -------------------------------------------------------------------------- #
# Copyright 2002-2012, OpenNebula Project Leads (OpenNebula.org)             #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_acl'

# Sources to generate the library
source_files=[
    'AclManager.cc',
    'AclRule.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/authm/SConstruct ===
# SConstruct for src/authm

# -------------------------------------------------------------------------- #
# Copyright 2002-2012, OpenNebula Project Leads (OpenNebula.org)             #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_authm'

# Sources to generate the library
source_files=[
    'AuthManager.cc',
    'AuthManagerDriver.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/cluster/SConstruct ===
# SConstruct for src/group

# -------------------------------------------------------------------------- #
# Copyright 2002-2012, OpenNebula Project Leads (OpenNebula.org)             #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_cluster'

# Sources to generate the library
source_files=[
    'ClusterPool.cc',
    'Cluster.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/common/SConstruct ===
# SConstruct for src/common

# -------------------------------------------------------------------------- #
# Copyright 2002-2012, OpenNebula Project Leads (OpenNebula.org)             #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_common'

# Sources to generate the library
source_files=[
    'ActionManager.cc',
    'Attribute.cc',
    'mem_collector.c',
    'SSLTools.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/datastore/SConstruct ===
# SConstruct for src/datastore

# -------------------------------------------------------------------------- #
# Copyright 2002-2012, OpenNebula Project Leads (OpenNebula.org)             #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_datastore'

# Sources to generate the library
source_files=[
    'DatastorePool.cc',
    'Datastore.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/dm/SConstruct ===
# SConstruct for src/vm

# -------------------------------------------------------------------------- #
# Copyright 2002-2012, OpenNebula Project Leads (OpenNebula.org)             #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_dm'

# Sources to generate the library
source_files=[
    'DispatchManager.cc',
    'DispatchManagerActions.cc',
    'DispatchManagerStates.cc',
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/group/SConstruct ===
# SConstruct for src/group

# -------------------------------------------------------------------------- #
# Copyright 2002-2012, OpenNebula Project Leads (OpenNebula.org)             #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_group'

# Sources to generate the library
source_files=[
    'GroupPool.cc',
    'Group.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/hm/SConstruct ===
# SConstruct for src/hm

# -------------------------------------------------------------------------- #
# Copyright 2002-2012, OpenNebula Project Leads (OpenNebula.org)             #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_hm'

# Sources to generate the library
source_files=[
    'HookManager.cc',
    'HookManagerDriver.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/host/SConstruct ===
# SConstruct for src/vm

# -------------------------------------------------------------------------- #
# Copyright 2002-2012, OpenNebula Project Leads (OpenNebula.org)             #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_host'

# Sources to generate the library
source_files=[
    'Host.cc',
    'HostShare.cc',
    'HostPool.cc',
    'HostHook.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/im/SConstruct ===
# SConstruct for src/im

# -------------------------------------------------------------------------- #
# Copyright 2002-2012, OpenNebula Project Leads (OpenNebula.org)             #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_im'

# Sources to generate the library
source_files=[
    'InformationManager.cc',
    'InformationManagerDriver.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== debian/changelog ===
opennebula (3.4.1-4.1ubuntu1) trusty; urgency=medium

  * Migrate to new xmlrpc-c
    - control: Build against libxmlrpc-c++8-dev

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 19 Feb 2014 09:23:09 +0200

opennebula (3.4.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop deprecated rubygems package from dependencies of ruby-opennebula
    (Closes: #735667)
  * Change dependency on thin1.8 to thin (Closes: #731557)

 -- Cédric Boutillier <boutil@debian.org>  Fri, 17 Jan 2014 14:30:58 +0100

opennebula (3.4.1-4) unstable; urgency=low

  [ Damien Raude-Morvan ]
  * Add d/patches/java_oca_for_341.diff: Fix Java API (from one-3.4 branch
    in upstream repository).

  [ Martin Steigerwald ]
  * opennebula-sunstone: Add depencency to ruby-rack-protection.
    (Closes: #682670).
  * debian/copyright: Fix lintian warning W: opennebula source:
    syntax-error-in-dep5-copyright line 66: Duplicate field copyright.
  * debian/patches: Added descriptions and authors for some patches
    in order to fix lintian hint quilt-patch-missing-description:
    - sunstone_system_jquery.diff
    - ozones_system_jquery.diff
    - occi_system_jquery.diff

  [ Damien Raude-Morvan ]
  * Acknowledge NMU from gregor herrmann. Thanks!
  * d/control: Bump Standards-Version to 3.9.4.
  * d/rules: Fix FTBFS with latest libxmlrpc3-java.

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 13 Aug 2013 15:19:03 +0200

opennebula (3.4.1-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "fails to install, purge, and install again":
    opennebula-common.postinst: make sure that the homedir of the oneadmin
    user exists.
    (Closes: #681567)

 -- gregor herrmann <gregoa@debian.org>  Sat, 28 Jul 2012 23:38:02 +0200

opennebula (3.4.1-3) unstable; urgency=low

  * Add support for noVNC to SelfService and Sunstone UI:
    - Closes: #666079, #674583
    - opennebula and opennebula-sunstone now Recommends: novnc.
    - Install links to /usr/share/novnc/include
  * Update d/opennebula.README.Debian for 3.4 release (use oneimage
    to deploy VM image into datastore).
  * d/{postinst,postrm}: Upgrade dpkg-statoverride to handle opennebula 3.4
    datastores.
  * On -node, also add oneadmin user into kvm group.
  * Describe recommended ownership changes to /etc/libvirt/qemu.conf
    in -node.README.Debian (Closes: #673427).
  * d/patches/no_default_arch.diff: Don't default to ARCH=i686 for KVM,
    user will have to choose a default or set this in each template.
    (Closes: #673173).

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 26 May 2012 01:21:12 +0200

opennebula (3.4.1-2) unstable; urgency=low

  * Upstream changed default port of Sunstone from 4567 to 9869 (remove
    conflicts with OCCI):
    - Update README.Debian. (Closes: #673013)
    - Update manpage.
  * For people using OpenNebula 2.x from backports describe database upgrade
    in NEWS.Debian. (Closes: #673014)
  * Update ttylinux.tar.gz location in README.Debian. (Closes: #673129).
  * Provide a quick-start documentation on SSL proxy setup for Sunstone.
    (Closes: #673010)
  * Try to rmdir /var/lib/one during package purge. (Closes: #668758).

 -- Damien Raude-Morvan <drazzib@debian.org>  Fri, 18 May 2012 19:45:43 +0200

opennebula (3.4.1-1) unstable; urgency=low

  * New upstream release:
    - d/patches/default_conf.diff: Drop, transfert manager is now handled
      on a datasatore basis.
    - d/patches/genisoimage.diff: Merged upstream.
    - d/patches/oneacct-system-wide-installation.patch: Merged upstream.
    - Refresh others patches.
    - Update *.install files.
  * Improve OCCI Self-Service UI integration:
    - Install into /usr/share/opennebula/occi/.
    - occi_system_jquery.diff: Use system wide jquery/jqueryui.
    - Add Recommends: libjs-jquery, libjs-jquery-ui for opennebula package.
  * Add Suggests: ruby-uuidtools for econe-server.
  * Install more manpages from upstream

 -- Damien Raude-Morvan <drazzib@debian.org>  Fri, 11 May 2012 19:27:43 +0200

opennebula (3.2.1-3) unstable; urgency=low

  * Fix FTBFS with GCC-4.7: Add missing include. (Closes: #672092).
  * d/control: Bump Standards-Version to 3.9.3, no changes needed.
  * d/copyright: Use copyright-format 1.0.
  * d/rules: Set occi-server.rb as executable (Closes: #663065).
  * d/opennebula.install: Install VirtualMachineOCCI.rb into
    /usr/lib/one/ruby/cloud/occi/ (Closes: #663072).
  * d/opennebula.install: Install html/js/image files for self-service portal
    (Closes: #663086).

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 01 Apr 2012 14:20:40 +0200

=== debian/control ===
Source: opennebula
Section: utils
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenNebula Maintainers <pkg-opennebula-devel@lists.alioth.debian.org>
Uploaders: Damien Raude-Morvan <drazzib@debian.org>,
           Soren Hansen <soren@ubuntu.com>,
           Jaime Melis <j.melis@fdi.ucm.es>
Build-Depends: bash-completion,
               bison,
               debhelper (>= 7.0.50~),
               default-jdk,
               flex,
               javahelper (>= 0.32),
               libmysql++-dev,
               libsqlite3-dev,
               libssl-dev,
               libws-commons-util-java,
               libxml2-dev,
               libxmlrpc-c++8-dev,
               libxmlrpc3-client-java (>= 3.1.3-6),
               libxmlrpc3-common-java (>= 3.1.3-6),
               libxslt1-dev,
               ruby,
               scons
Standards-Version: 3.9.4
Homepage: http://opennebula.org/
Vcs-Git: git://git.debian.org/pkg-opennebula/opennebula.git
Vcs-Browser: http://git.debian.org/?p=pkg-opennebula/opennebula.git

Package: opennebula
Architecture: any
Depends: apg,
         genisoimage,
         opennebula-tools (= ${source:Version}),
         wget,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libjs-jquery, libjs-jquery-ui, novnc
Suggests: mysql-server, ruby-amazon-ec2, ruby-uuidtools
Description: controller which executes the OpenNebula cluster services
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package contains OpenNebula Controller which manage all nodes in the
 cloud.

Package: opennebula-sunstone
Architecture: all
Depends: libjs-jquery,
         libjs-jquery-ui,
         opennebula-common (= ${source:Version}),
         ruby-json,
         ruby-opennebula (= ${source:Version}),
         ruby-sinatra,
         ruby-rack-protection,
         thin,
         ${misc:Depends}
Recommends: novnc
Description: web interface to which executes the OpenNebula cluster services
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 OpenNebula Sunstone is the new OpenNebula Cloud Operations Center,
 a GUI intended for users and admins, that will simplify the typical management
 operations in private and hybrid cloud infrastructures. You will be able to
 manage your virtual resources in a similar way as you do with the
 CLI.

Package: opennebula-common
Architecture: all
Depends: adduser, openssh-client, ${misc:Depends}
Recommends: lvm2, sudo (>= 1.7.2p1)
Description: empty package to create OpenNebula users and directories
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package sets up the basic directory structure and users needed to run
 an OpenNebula cloud.

Package: opennebula-node
Architecture: all
Depends: adduser,
         libvirt-bin | xen-utils-4.0,
         opennebula-common (= ${source:Version}),
         ruby,
         ${misc:Depends}
Recommends: openssh-server | ssh-server
Description: empty package to prepare a machine as OpenNebula Node
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package prepares the machine for being a node in an OpenNebula
 cloud.

Package: ruby-opennebula
Section: ruby
Architecture: all
Depends: ruby | ruby-interpreter,
         ruby-mysql,
         ruby-password,
         ruby-sequel,
         ruby-sqlite3,
         ${misc:Depends},
         ${ruby:Depends}
Replaces: opennebula (<< 3.2.1-1~)
Breaks: opennebula (<< 3.2.1-1~)
Description: Ruby bindings for OpenNebula Cloud API (OCA)
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package provides the OpenNebula Cloud API (OCA) Ruby bindings.

Package: opennebula-tools
Architecture: all
Depends: opennebula-common (= ${source:Version}),
         ruby-opennebula (= ${source:Version}),
         ${misc:Depends},
         ${ruby:Depends}
Description: Command-line tools for OpenNebula Cloud
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package provides the OpenNebula CLI.

Package: libopennebula-java
Section: java
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}
Description: Java bindings for OpenNebula Cloud API (OCA)
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package provides the OpenNebula Cloud API (OCA) Java bindings.

Package: libopennebula-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: ${java:Recommends}
Description: Java bindings for OpenNebula Cloud API (OCA) - documentation
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package provides the documentation (Javadoc API) and examples for
 OpenNebula Cloud API (OCA) Java bindings.

=== debian/rules ===
#!/usr/bin/make -f

# Handle group assignment: libvirt (Debian) and libvirtd (Ubuntu)
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	LIB_VIRT_GROUP = libvirtd
else
	LIB_VIRT_GROUP = libvirt
endif

dpkg_buildflags = DEB_LDFLAGS_MAINT_APPEND="-Wl,--as-needed" dpkg-buildflags
# injecting CPPFLAGS to CFLAGS and CXXFLAGS
export CPPFLAGS:=$(shell $(dpkg_buildflags) --get CPPFLAGS)
export CFLAGS:=$(shell $(dpkg_buildflags) --get CFLAGS) $(CPPFLAGS)
export CXXFLAGS:=$(shell $(dpkg_buildflags) --get CXXFLAGS) $(CPPFLAGS)
export LDFLAGS:=$(shell $(dpkg_buildflags) --get LDFLAGS)

%:
	dh $@ --with javahelper --with bash-completion

override_dh_auto_build:
	scons  mysql=yes #parsers=yes
	(cd src/oca/java/; \
	ln -s /usr/share/java/xmlrpc-common.jar lib/; \
	ln -s /usr/share/java/xmlrpc-client.jar lib/; \
	ln -s /usr/share/java/ws-commons-util.jar lib/; \
	./build.sh -d)

override_dh_auto_install:
	DESTDIR=dist ./install.sh
	dh_auto_install
ifneq (,$(filter opennebula-node, $(shell dh_listpackages)))
	dh_install -p opennebula-node debian/opennebula-node.sudoers /etc/sudoers.d
	mv debian/opennebula-node/etc/sudoers.d/opennebula-node.sudoers \
	   debian/opennebula-node/etc/sudoers.d/opennebula-node
endif
ifneq (,$(filter opennebula, $(shell dh_listpackages)))
	dh_install -p opennebula share/etc/init.d/one.debian /etc/init.d
	mv debian/opennebula/etc/init.d/one.debian \
	   debian/opennebula/etc/init.d/opennebula
	dh_installinit -p opennebula --name=opennebula --onlyscripts
endif
ifneq (,$(filter opennebula-sunstone, $(shell dh_listpackages)))
	dh_installinit -p opennebula-sunstone --name=sunstone
endif

override_dh_install:
	dh_install
ifneq (,$(filter opennebula, $(shell dh_listpackages)))
	rm debian/opennebula/usr/share/opennebula/ozones/public/vendor/dataTables/BSD-LICENSE.txt
	rm debian/opennebula/usr/share/opennebula/occi/ui/public/vendor/crypto-js/NEW-BSD-LICENSE.txt
	rm debian/opennebula/usr/share/opennebula/occi/ui/public/vendor/dataTables/BSD-LICENSE.txt
	rm debian/opennebula/usr/share/opennebula/occi/ui/public/vendor/flot/LICENSE.txt
endif
ifneq (,$(filter opennebula-sunstone, $(shell dh_listpackages)))
	dh_installinit -p opennebula-sunstone --name=sunstone
	rm debian/opennebula-sunstone/usr/share/opennebula/sunstone/public/vendor/dataTables/BSD-LICENSE.txt
	rm debian/opennebula-sunstone/usr/share/opennebula/sunstone/public/vendor/flot/LICENSE.txt
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf dist/
	scons --clean .
	(cd src/oca/java/; \
	rm lib/xmlrpc-common-3.1.jar; \
	rm lib/xmlrpc-client-3.1.jar; \
	rm lib/ws-commons-util.jar; \
	rm -rf jar/; rm -rf share/doc/; \
	./build.sh -c)
	-rm -Rf .scons_temp
	-rm -Rf share/scons/lex_bison.pyc \
		src/nebula/.xmlrpc_test/xmlrpc_test.* \
		src/scheduler/.xmlrpc_test/xmlrpc_test.* \
		src/scheduler/src/sched/.xmlrpc_test \
		.xmlrpc_test
	-rm -Rf debian/opennebula-node.postinst

override_dh_installdeb:
ifneq (,$(filter opennebula-node, $(shell dh_listpackages)))
	sed "s/@LIBVIRTGRP@/${LIB_VIRT_GROUP}/g" debian/opennebula-node.postinst.in > debian/opennebula-node.postinst
endif
	dh_installdeb

override_dh_fixperms:
	dh_fixperms
ifneq (,$(filter opennebula, $(shell dh_listpackages)))
	find debian/opennebula/etc/one/ -type f -exec chmod 644 {} \;
	chmod 644 debian/opennebula/usr/lib/one/ruby/cloud/occi/*.rb
	chmod 644 debian/opennebula/usr/lib/one/ruby/cloud/CloudServer.rb
	chmod 644 debian/opennebula/usr/share/opennebula/ozones/public/vendor/jGrowl/jquery.jgrowl.css
	#chmod 755 debian/opennebula/usr/lib/one/remotes/im/common.d/ssh_pubkey.sh
	chmod 755 debian/opennebula/usr/share/opennebula/occi/occi-server.rb
endif
ifneq (,$(filter opennebula-tools, $(shell dh_listpackages)))
	chmod 755 debian/opennebula-tools/usr/lib/one/ruby/cloud/econe/EC2QueryClient.rb
	chmod 755 debian/opennebula-tools/usr/lib/one/ruby/cloud/occi/OCCIClient.rb
endif
ifneq (,$(filter opennebula-node, $(shell dh_listpackages)))
	chmod 0440 debian/opennebula-node/etc/sudoers.d/opennebula-node
endif
ifneq (,$(filter opennebula-sunstone, $(shell dh_listpackages)))
endif

get-orig-source:
	uscan --force-download --no-symlink

=== debian/watch ===
version=3
opts=uversionmangle=s/\-beta/~beta/ \
http://dev.opennebula.org/projects/opennebula/files \
 /attachments/download/(?:[\d]+)/(?:one|opennebula)-([\d\.].+).tar.gz \
 debian debian/orig-tar.sh
